GetUniqueID
Script function world.GetUniqueID Read about scripting Type Method Summary Creates a unique ID for general use, or for making Plugin IDs Prototype `BSTR GetUniqueID();` View list of data type meanings Description `This uses CreateGUID to get a unique number, and then hashes it, retaining 24 characters (96 bits) of the hash. This generates a nice, unique identifier, like this: "0a96ce42d8e0ede554d3b9ab". The advantage of using this over CreateGUID is that by hashing the number your network card MAC address is concealed. Conceivably some users might not want their MAC address to be revealed. The number generated here will be used by plugins to uniquely identify themselves. You could also use it for variable, trigger, timer, alias names, when generated by a script, to ensure uniqueness over multiple sessions. You could also use it as a handy "password generator", as the number sequences are hardly going to be predicable. Contrast this to "GetUniqueNumber" which only returns a unique number for this session of MUSHclient. Thus, the numbers (from "GetUniqueNumber") will not be unique over multiple sessions. See also the new script function world.CreateGUID. Also, using random number generation for unique identifiers has a chance of returning the same number, depending on a) the seed given to the generator; and b) the way the generator must eventually recyle and regenerate the same sequence.` VBscript example
    world.Note world.GetUniqueID
Jscript example
    world.Note (world.GetUniqueID ());
PerlScript example
    $world->Note ($world->GetUniqueID ());
Python example
    world.Note (world.GetUniqueID )
Lua example
    Note (GetUniqueID ())
Return value
    A 24-character unique identifier.
See Also ... Topics Scripting Utilities Functions Base64Decode (Takes a base-64 encoded string and decodes it.) Base64Encode (Encodes a string using base-64 encoding.) ChangeDir (Changes the MUSHclient working directory) CreateGUID (Creates a GUID - Global Unique Identifier) EditDistance (Returns the Levenshtein Edit Distance between two words) ErrorDesc (Converts a MUSHclient script error code into an human-readable description) ExportXML (Exports a world item in XML format) FixupEscapeSequences (Converts "escape sequences" like &#x5C;t to their equivalent codes.) FixupHTML (Fixes up text for writing as HTML) GenerateName (Generates a random character name) GetClipboard (Gets the clipboard contents) GetScriptTime (Returns the amount of time spent in script routines) GetUniqueNumber (Returns a unique number) Hash (Produces a hash (checksum) of a specified piece of text) Help (Shows help for a script function, or a list of functions) ImportXML (Imports configuration data in XML format) Metaphone (Returns the metaphone code for the supplied word) MtRand (Returns pseudo-random number using the Mersenne Twister algorithm) MtSrand (Seed the Mersenne Twister pseudo-random number generator) ReadNamesFile (Loads in a file for generating character names) Replace (Replaces one substring with another) SetClipboard (Sets the clipboard contents) SetStatus (Sets the status line text) Simulate (Simulate input from the MUD, for debugging purposes) Sound (Plays a sound) StripANSI (Strips ANSI colour sequences from a string) Trace (Trace mode property) TraceOut (Outputs the supplied message to the world Trace) TranslateGerman (Translate German umluat sequences) Transparency (Sets the transparency of the main MUSHclient window under Windows XP) Trim (Trims leading and trailing spaces from a string) (Help topic: function=GetUniqueID) Documentation contents page